Bug 232361 - www/nginx-devel: STREAM_SSL_PREREAD has no effect
Summary: www/nginx-devel: STREAM_SSL_PREREAD has no effect
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Sergey A. Osokin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-17 17:36 UTC by Peter Kubica
Modified: 2018-10-21 17:53 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (osa)


Attachments
patch-Makefile (723 bytes, text/plain)
2018-10-18 22:31 UTC, Sergey A. Osokin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Kubica 2018-10-17 17:36:48 UTC
Same issue as bug #229336, only this time for port www/nginx-devel.
Comment 1 Sergey A. Osokin freebsd_committer 2018-10-18 22:31:02 UTC
Created attachment 198338 [details]
patch-Makefile

Could you try next patch.
Comment 2 Peter Kubica 2018-10-19 08:50:14 UTC
Almost. Just change please
STREAM_SSL_PREREAD_ON
to
STREAM_SSL_PREREAD_CONFIGURE_ON
and it should work.
Comment 3 commit-hook freebsd_committer 2018-10-21 17:50:05 UTC
A commit references this bug:

Author: osa
Date: Sun Oct 21 17:49:22 UTC 2018
New revision: 482715
URL: https://svnweb.freebsd.org/changeset/ports/482715

Log:
  Fix the build issue with STREAM_SSL_PREREAD knob.
  Bump PORTREVISION.

  PR:	232361

Changes:
  head/www/nginx-devel/Makefile
Comment 4 Sergey A. Osokin freebsd_committer 2018-10-21 17:50:36 UTC
The issue has been fixed, thanks for the report!
Comment 5 Peter Kubica 2018-10-21 17:53:31 UTC
Great, thanks for the fix!